NetworkTopologyDiscoveryImpl
Date: 2017-02-10

javax.jmdns.impl

## Class NetworkTopologyDiscoveryImpl

- java.lang.Object
- - javax.jmdns.impl.NetworkTopologyDiscoveryImpl

- All Implemented Interfaces:
    NetworkTopologyDiscovery

      public class NetworkTopologyDiscoveryImpl
      extends java.lang.Object
      implements NetworkTopologyDiscovery

  This class implements NetworkTopologyDiscovery.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.jmdns.NetworkTopologyDiscovery

      `NetworkTopologyDiscovery.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkTopologyDiscoveryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.InetAddress[]` | `getInetAddresses()` Get all local Internet Addresses for the machine.
    `void` | `lockInetAddress(java.net.InetAddress interfaceAddress)` Locks the given InetAddress if the device requires it.
    `void` | `unlockInetAddress(java.net.InetAddress interfaceAddress)` Locks the given InetAddress if the device requires it.
    `boolean` | `useInetAddress(java.net.NetworkInterface networkInterface, java.net.InetAddress interfaceAddress)` Check if a given InetAddress should be used for mDNS

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkTopologyDiscoveryImpl

          public NetworkTopologyDiscoveryImpl()

  - ### Method Detail

    - #### getInetAddresses

          public java.net.InetAddress[] getInetAddresses()

      Description copied from interface: `NetworkTopologyDiscovery`
      Get all local Internet Addresses for the machine.
      Specified by:
        `getInetAddresses` in interface `NetworkTopologyDiscovery`
      Returns:
        Set of InetAddress

    - #### useInetAddress

          public boolean useInetAddress(java.net.NetworkInterface networkInterface,
                               java.net.InetAddress interfaceAddress)

      Description copied from interface: `NetworkTopologyDiscovery`
      Check if a given InetAddress should be used for mDNS
      Specified by:
        `useInetAddress` in interface `NetworkTopologyDiscovery`
      Returns:
        `true` is the address is to be used, `false` otherwise.

    - #### lockInetAddress

          public void lockInetAddress(java.net.InetAddress interfaceAddress)

      Description copied from interface: `NetworkTopologyDiscovery`
      Locks the given InetAddress if the device requires it.
      Specified by:
        `lockInetAddress` in interface `NetworkTopologyDiscovery`

    - #### unlockInetAddress

          public void unlockInetAddress(java.net.InetAddress interfaceAddress)

      Description copied from interface: `NetworkTopologyDiscovery`
      Locks the given InetAddress if the device requires it.
      Specified by:
        `unlockInetAddress` in interface `NetworkTopologyDiscovery`